Name:       smf-dsp

Version:    0.10.0.git.327.93830034

Release:    1%{?dist}

Summary:    Advanced MIDI file player, including various chip music synths

License:    GPLv2+

URL:        https://github.com/jpcima/smf-dsp

VCS:        git+https://github.com/jpcima/smf-dsp.git#93830034658330716d58d02cb16d296860346332:

Source0:    smf-dsp-93830034.tar.gz
Source1:    libADLMIDI-93830034.tar.gz
Source2:    libOPNMIDI-93830034.tar.gz
Source3:    scc-93830034.tar.gz
Source4:    munt-93830034.tar.gz
Source5:    fluidlite-93830034.tar.gz
Source6:    timidityplus-93830034.tar.gz
Source7:    span-lite-93830034.tar.gz
Source8:    scope-lite-93830034.tar.gz
Source9:    string-view-lite-93830034.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: SDL2-devel
BuildRequires: SDL2_image-devel
BuildRequires: libuv-devel
BuildRequires: glib2-devel
BuildRequires: (jack-audio-connection-kit-devel or pipewire-jack-audio-connection-kit-devel)
BuildRequires: alsa-lib-devel
BuildRequires: libsoundio-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel

%description
Advanced MIDI file player, including various chip music synths

%prep
%setup -T -b 0 -q -n smf-dsp
tar -C thirdparty -xf %{SOURCE1}
tar -C thirdparty -xf %{SOURCE2}
tar -C thirdparty -xf %{SOURCE3}
tar -C thirdparty -xf %{SOURCE4}
tar -C thirdparty -xf %{SOURCE5}
tar -C thirdparty -xf %{SOURCE6}
tar -C thirdparty -xf %{SOURCE7}
tar -C thirdparty -xf %{SOURCE8}
tar -C thirdparty -xf %{SOURCE9}

%build
%cmake -DSMF_DSP_PLUGIN_DIR=%{_libdir}/smf-dsp -DSMF_DSP_DEFAULT_SF2=%{_datadir}/soundfonts/default.sf2
%cmake_build

%install
%cmake_install

%files
%{_bindir}/smf-dsp
%{_libdir}/smf-dsp/*.so
%{_datadir}/applications/smf-dsp.desktop
%{_datadir}/icons/hicolor/16x16/apps/smf-dsp.png
%{_datadir}/icons/hicolor/64x64/apps/smf-dsp.png
%{_datadir}/metainfo/io.github.jpcima.smf_dsp.metainfo.xml

%changelog
